/*
 * Own jQuery tooltips
 */

$(document).ready(function() {
    // add an element to document body
    $("body").append("<span id='own-tooltip'></span>");
    
    // show the tooltip for "a" html element with title attribute
    $("a[title]").each(function() {
        $(this).hover(function(e) {
            // show the tooltip below element
            $().mousemove(function(e) {
                var dY = e.pageY + 4;
                var dX = e.pageX + 4;
                $("#own-tooltip").css({'top': dY, 'left': dX});
            });
            $("#own-tooltip").stop(true, true);
            
            // get text from title attribute and set as tooltip's text
            $("#own-tooltip")
                .html($(this).attr('title'))
                // show the tooltip with fadeIn effect 
                .fadeIn(100);
            $(this).removeAttr('title');
        }, function() {
            $("#own-tooltip").stop(true, true);
            // hide
            $("#own-tooltip").fadeOut(100);
            // cleanups
            $(this).attr('title', $("#own-tooltip").html());
        });
    });
});
